## xdoclet.modules.ejb.entity
Class DataObjectSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.modules.ejb.AbstractEjbCodeGeneratorSubTask
                      xdoclet.modules.ejb.entity.DataObjectSubTask

All Implemented Interfaces:
  Serializable

public class DataObjectSubTask
extends AbstractEjbCodeGeneratorSubTask

Creates "data objects" for Entity EJBs. This task is currently being deprecated in favour of Value Object which is more powerful in terms of relationships (1-1, 1-n and n-m).

Version:
  $Revision: 1.12 $
Author:
  Ara Abrahamian (ara_e@email.com)
See Also:
  Serialized Form
ant.element
  display-name="Data Object" name="dataobject" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  Oct 15, 2001

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected String` `dataObjectClassPattern` A configuration parameter for specifying the data object class name pattern.
`static String` `DEFAULT_DATAOBJECT_CLASS_PATTERN`
`protected static String` `DEFAULT_TEMPLATE_FILE`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`DataObjectSubTask()` Describe what the DataObjectSubTask constructor does

Method Summary
`protected void` `engineStarted()` Describe what the method does
`protected void` `generateForClass(xjavadoc.XClass clazz)` Describe what the method does
`String` `getDataObjectClassPattern()` Returns the configuration parameter for specifying the data object class name pattern.
`protected String` `getGeneratedFileName(xjavadoc.XClass clazz)` Gets the GeneratedFileName attribute of the DataObjectSubTask object
`protected boolean` `matchesGenerationRules(xjavadoc.XClass clazz)` Describe what the method does
`void` `setPattern(String new_pattern)` The pattern by which the data object classes are named.
`void` `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.TemplateSubTask

`addOfType, addOfType, addPackageSubstitution, copyAttributesFrom, engineFinished, execute, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcess, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DATAOBJECT_CLASS_PATTERN

    public static final String DEFAULT_DATAOBJECT_CLASS_PATTERN

See Also:
  Constant Field Values

### DEFAULT_TEMPLATE_FILE

    protected static final String DEFAULT_TEMPLATE_FILE

See Also:
  Constant Field Values

### dataObjectClassPattern

    protected String dataObjectClassPattern

  A configuration parameter for specifying the data object class name pattern. By default the value is used for deciding the entity data object class name. {0} in the value mean current class's symbolic name which for an EJBean is the EJB name.

  See Also:
    `getDataObjectClassPattern()`

Constructor Detail

### DataObjectSubTask

    public DataObjectSubTask()

  Describe what the DataObjectSubTask constructor does

Method Detail

### getDataObjectClassPattern

    public String getDataObjectClassPattern()

  Returns the configuration parameter for specifying the data object class name pattern. By default the value is used for deciding the entity data object class name. The placeholder "{0}" in the value means the current class's symbolic name which for an EJBean is the EJB name. If nothing explicitly specified by user then "{0}Data" is used by default.

  Returns:
    The DataObjectClassPattern value
  See Also:
    `dataObjectClassPattern`

### setPattern

    public void setPattern(String new_pattern)

  The pattern by which the data object classes are named. The placeholder "{0}" designates the EJB name.

  Parameters:
    `new_pattern` - The new Pattern value

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### getGeneratedFileName

    protected String getGeneratedFileName(xjavadoc.XClass clazz)
                                   throws XDocletException

  Gets the GeneratedFileName attribute of the DataObjectSubTask object

  Overrides:
    `getGeneratedFileName` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    The GeneratedFileName value
  Throws:
    `XDocletException`

### matchesGenerationRules

    protected boolean matchesGenerationRules(xjavadoc.XClass clazz)
                                      throws XDocletException

  Describe what the method does

  Overrides:
    `matchesGenerationRules` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    Describe the return value
  Throws:
    `XDocletException`

### generateForClass

    protected void generateForClass(xjavadoc.XClass clazz)
                             throws XDocletException

  Describe what the method does

  Overrides:
    `generateForClass` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Throws:
    `XDocletException`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException`

http://xdoclet.sourceforge.net/